##############################
# network architecture related
##############################
# size of images read from a dataset
APS = 256;
# size of images cropped for CNN input
PS = 227;
# number of neurons of the second-to-last layer
fea_len = 512;
# number of classes of the dataset
classn = 8;

##############################
# optimization related
##############################
# weight decay of the network
WeightDecay = 1e-20;
# batch size of SGD
BatchSize = 32;
# number of training epochs
Epochs = 240;

# a magic number to avoid exploding gradient
MinProb = 0.00001;
# weight of the cross-entropy loss
XenWei = 1.0;
# weight of the cost-matrix loss
# (emd loss computed from a ground distance matrix)
CmWei = 5.0;

